Submit a quote to the buyer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Important

The requestId used as path param is either:

  • A lift Id - using this will make the quote a reply to the specific lift in the RFQ. If the RFQ contains other requested lifts, not yet declined or quoted, then these will still be considered unanswered.
  • An RFQ Id - using this will add an additional quote to the RFQ.
{
  "message": "We are pleased to give you the following offer. /Maria",
  "suppressNotification": false,
  "quote": {
    "segments": [
      {
        "startAirport": {
          "icao": "ESGG"
        },
        "endAirport": {
          "icao": "EGGW"
        },
        "dateTime": {
          "date": "2019-08-17",
          "time": "05:30",
          "departure": true,
          "local": false
        },
        "paxCount": "0",
        "paxSegment": false,
        "showToBuyer": false,
        "distanceNM": 602,
        "blockTimeMinutes": 100,
        "flightMinutes": 90
      },
      {
        "startAirport": {
          "icao": "EGGW"
        },
        "endAirport": {
          "icao": "LFPB"
        },
        "dateTime": {
          "date": "2019-08-17",
          "time": "08:00",
          "departure": true,
          "local": false
        },
        "paxCount": "2",
        "paxSegment": true,
        "showToBuyer": true,
        "distanceNM": 207,
        "blockTimeMinutes": 53,
        "flightMinutes": 43
      },
      {
        "startAirport": {
          "icao": "LFPB"
        },
        "endAirport": {
          "icao": "ESGG"
        },
        "dateTime": {
          "date": "2019-08-17",
          "time": "11:00",
          "departure": true,
          "local": false
        },
        "paxCount": "0",
        "paxSegment": false,
        "showToBuyer": false,
        "distanceNM": 679,
        "blockTimeMinutes": 118,
        "flightMinutes": 108
      }
    ],
    "lift": {
      "aircraftTail": "N12345",
      "aircraftType": "",
      "aircraftCategory": ""
    },
    "messageForBuyer": "Price does not include de-icing.",
    "currencyCode": "EUR",
    "sellerUniqueQuoteIdentifier": "Q#18272",
    "totalPrice": 15100,
    "lineItems": [
      {
        "visibleToBuyer": false,
        "displayName": "One quote line item",
        "description": "A description of the line item",
        "type": "FLT",
        "price": 5100,
        "formattedUnitPrice": "5100",
        "formattedQuantity": "1"
      },
      {
        "visibleToBuyer": true,
        "displayName": "Another quote line item",
        "description": "A description of the line item",
        "type": "",
        "price": 10000,
        "formattedUnitPrice": "2500",
        "formattedQuantity": "4"
      }
    ],
    "attachments": [
      {
        "mimeType": "application/pdf",
        "name": "Quote123.pdf",
        "type": "Quote",
        "uri": "https://sandbox.avinode.com/marketplace/mvc/resource/quote/attachment/Quote123.pdf",
        "data": "abc123!?$*&()'-=@~.......",
        "temporaryAttachmentId": "string"
      }
    ]
  }
}
{
  "message": "Hey, this is the price we offer. /Em",
  "suppressNotification": false,
  "quote": {
    "segments": [
      {
        "startAirport": {
          "icao": "LFPB"
        },
        "endAirport": {
          "icao": "LEMD"
        },
        "dateTime": {
          "date": "2022-05-17",
          "time": "09:00",
          "departure": true,
          "local": true
        },
        "paxCount": "2",
        "paxSegment": true,
        "paxTBD": true,
        "timeTBD": true,
        "departureDateTimeCalculated": true,
        "arrivalDateTimeCalculated": true,
        "showToBuyer": true,
        "distanceNM": 340,
        "blockTimeMinutes": 71,
        "flightMinutes": 80,
        "fuelStopTimeMinutes": 0,
        "fuelStopCount": 0
      }
    ],
    "lift": {
      "aircraftCategory": "",
      "aircraftType": "Global Express",
      "aircraftTail": ""
    },
    "messageForBuyer": "This is our quote for one of our Global Express aircraft",
    "currencyCode": "EUR",
    "totalPrice": 17777,
    "lineItems": [
      {
        "visibleToBuyer": false,
        "displayName": "One quote line item",
        "description": "A description of the line item",
        "type": "FLT",
        "price": 10000,
        "formattedUnitPrice": "5000",
        "formattedQuantity": "2"
      },
      {
        "visibleToBuyer": true,
        "displayName": "Another quote line item",
        "description": "A description of the line item",
        "type": "",
        "price": 7777,
        "formattedUnitPrice": "7777",
        "formattedQuantity": "1"
      }
    ],
    "attachments": [
      {
        "mimeType": "application/pdf",
        "name": "Quote123.pdf",
        "type": "Quote",
        "uri": "https://sandbox.avinode.com/marketplace/mvc/resource/quote/attachment/Quote123.pdf",
        "data": "abc123!?$*&()'-=@~.......",
        "temporaryAttachmentId": "string"
      }
    ]
  }
}

Output

The calling application should:

  • Make sure the returned tripmsgs.id is associated with the sent message stored in the application’s data model.
  • Make sure the returned sellerQuote.id is associated with the quote stored in the application’s data model.
  • Make sure the lift.id is associated with the booked flight activity in your availability upload (activity.tripId). See operation PUT /schedules
Path Params
string
required

The ID of the request you are submitting a quote for

Body Params

Submit a quote to the buyer.

string

Anything you want to say to the buyer.

boolean

Tells Avinode not to notify the buyer as the system submitting this message has already done so

quote
object
required

The quote that the seller wishes to submit to the buyer.

batchMetadata
object

Any batch information.

Headers
string

ISO8601 Timestamp

string

API Token

string

Calling product / software (ex: AcmeApp-v10.2)

string

Account id if action on behalf of

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json